On some devices, the application has started requiring an additional verification step when attempting to connect to the web application, called Passkey. Because of this, devices that try to read the QR Code via the API may receive a Challenge in return.
This method is part of the instance connection flow via Passkey (WebAuthn), being the final step of this process:
The QR Code endpoint is called and returns a challenge.
This challenge is resolved on the device / authenticator (a procedure performed outside of Z-API, and that does not depend on our API).
The result of this resolution (the WebAuthn assertion) is sent to this endpoint, so the instance can complete the connection.
The challenge resolution happens directly between the user’s device and the authenticator (Passkey), outside the Z-API ecosystem. This endpoint only receives the already processed result.With this new application authentication in mind, Z-API created an extension called Z-API Connector, specifically to make this Passkey validation easier.
{ "success": false, "reason": "assertion fields must be strings" }
Responses with success: false indicate that the assertion payload is malformed — the request body must be corrected and resent. These are not Z-API infrastructure errors.
In this case, make sure you are sending the correct method specification, i.e., check whether you sent a POST or GET request as specified at the beginning of this topic.
If you receive a 415 error, make sure to add the “Content-Type” of the object you are sending to the request headers, most commonly “application/json”.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/schema.json","name":"Z-API Docs","colors":{"primary":"#00B140","light":"#00D455","dark":"#007A2C"},"logo":{"light":"https://staging.z-api.io/logos/SVG/Ativo%2016.svg","dark":"https://staging.z-api.io/logos/SVG/Ativo%2016.svg"},"favicon":"https://mintcdn.com/z-api-8aa3bb40/5Sj9mIPH3KokDXt2/favicon.png?fit=max\u0026auto=format\u0026n=5Sj9mIPH3KokDXt2\u0026q=85\u0026s=0ee09d9d5aa6a2ffd98d0e3a7335da05","api":{"examples":{"defaults":"required"},"mdx":{"auth":{"method":"key","name":"Client-Token"},"server":"https://api.z-api.io"}},"background":{"color":{"dark":"#14161f"}},"styling":{"codeblocks":{"theme":{"light":"github-light","dark":"poimandres"}},"latex":false},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"navigation":{"global":{"anchors":[{"anchor":"Blog","icon":"newspaper","href":"https://www.z-api.io/blog"},{"anchor":"YouTube","icon":"youtube","href":"https://www.youtube.com/@z_api"},{"anchor":"Postman","icon":"rocket","href":"https://www.postman.com/docs-z-api/z-api-s-public-workspace/collection/gwri249/z-api-collection"},{"anchor":"Comunidade","icon":"whatsapp","href":"https://chat.whatsapp.com/KmE3atZGmWJEspMZnBZKjV"}]},"languages":[{"language":"pt-BR","default":true,"navbar":{"links":[{"href":"https://api.whatsapp.com/send?phone=554431421722\u0026text=Ol%C3%A1,%20gostaria%20de%20falar%20com%20o%20suporte%20da%20Z-API","label":"Suporte"}],"primary":{"type":"button","label":"Painel","href":"https://app.z-api.io/"}},"href":"quickstart/introduction"},{"language":"en","navbar":{"links":[{"href":"https://api.whatsapp.com/send?phone=554431421722\u0026text=Hello,%20I%20would%20like%20to%20talk%20to%20Z-API%20support","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.z-api.io/"}},"href":"en/quickstart/introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"z-api-8aa3bb40","hasAudioNarration":false,"actualSubdomain":"z-api-8aa3bb40","customDomains":["developer.z-api.io"],"gitSource":{"type":"github","owner":"z-api","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aea4890ca1163ccfe95edea","collectionId":"518edace-7d8a-4d8b-8cb7-e7faf285e86f","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aea4890ca1163ccfe95edea"},"entitlements":{},"buildId":"6aea4890ca1163ccfe95edea","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"pt-BR","tag":"API Reference","count":499},{"language":"en","tag":"API Reference","count":499},{"language":"pt-BR","tag":"Messages","count":42},{"language":"en","tag":"Messages","count":42},{"language":"pt-BR","tag":"Aplicativo Business","count":32},{"language":"en","tag":"Business application","count":32},{"language":"pt-BR","tag":"Groups","count":23},{"language":"en","tag":"Groups","count":23},{"language":"pt-BR","tag":"Instance","count":22},{"language":"en","tag":"Instance","count":22},{"language":"pt-BR","tag":"Documentação","count":21},{"language":"en","tag":"Documentation","count":21},{"language":"pt-BR","tag":"Newsletter","count":19},{"language":"en","tag":"Newsletter","count":19},{"language":"pt-BR","tag":"Mobile","count":16},{"language":"en","tag":"Mobile","count":16},{"language":"pt-BR","tag":"Communities","count":14},{"language":"pt-BR","tag":"Webhooks","count":14},{"language":"en","tag":"Communities","count":14},{"language":"en","tag":"Webhooks","count":14}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"en/instance/passkey-prologue","slug":"/en/instance/passkey-prologue","pageMetadata":{"title":"Complete the Challenge","api":"POST /instances/{instanceId}/token/{token}/passkey-prologue","description":"Sends the result of the passkey resolution (WebAuthn assertion) to complete the instance connection","href":"/en/instance/passkey-prologue"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Sends the result of the passkey resolution (WebAuthn assertion) to complete the instance connection\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,hr:`hr`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Note,ParamField,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`overview`,children:`Overview`}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`On some devices, the application has started requiring an additional verification step when attempting to connect to the web application, called `,_jsx(_components.strong,{children:_jsx(_components.a,{href:`/en/tips/extension-guide`,children:`Passkey`})}),`. Because of this, devices that try to read the QR Code via the API may receive a `,_jsx(_components.strong,{children:`Challenge`}),` in return.`]})}),`\n`,_jsxs(_components.p,{children:[`This method is part of the instance connection flow via `,_jsx(_components.strong,{children:_jsx(_components.a,{href:`/en/tips/extension-guide`,children:`Passkey (WebAuthn)`})}),`, being the final step of this process:`]}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`The QR Code endpoint is called and returns a `,_jsx(_components.code,{children:`challenge`}),`.`]}),`\n`,_jsxs(_components.li,{children:[`This challenge is resolved on the device / `,_jsx(_components.a,{href:`/en/tips/extension-guide`,children:`authenticator`}),` (a procedure performed outside of Z-API, and that does not depend on our API).`]}),`\n`,_jsxs(_components.li,{children:[`The result of this resolution (the `,_jsx(_components.strong,{children:`WebAuthn assertion`}),`) is sent to this endpoint, so the instance can complete the connection.`]}),`\n`]}),`\n`,_jsxs(Note,{children:[_jsx(_components.p,{children:`The challenge resolution happens directly between the user’s device and the authenticator (Passkey), outside the Z-API ecosystem. This endpoint only receives the already processed result.`}),_jsxs(_components.p,{children:[`With this new application authentication in mind, Z-API created an extension called `,_jsx(_components.strong,{children:_jsx(_components.a,{href:`/en/tips/extension-guide`,children:`Z-API Connector`})}),`, specifically to make this Passkey validation easier.`]})]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`attributes`,children:`Attributes`}),`\n`,_jsx(Heading,{level:`3`,id:`required`,children:`Required`}),`\n`,_jsx(ParamField,{path:`instanceId`,type:`string`,required:true,id:`param-instance-id`,children:_jsxs(_components.p,{children:[`Your instance ID. Available in the Z-API panel under `,_jsx(_components.strong,{children:`Instances`}),`.`]})}),`\n`,_jsx(ParamField,{path:`token`,type:`string`,required:true,id:`param-token`,children:_jsx(_components.p,{children:`Your Z-API instance token.`})}),`\n`,_jsx(Heading,{level:`3`,id:`required-2`,children:`Required`}),`\n`,_jsx(ParamField,{body:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`Identifier of the credential generated by the authenticator`})}),`\n`,_jsx(ParamField,{body:`rawId`,type:`string`,required:true,id:`param-raw-id`,children:_jsx(_components.p,{children:`Raw identifier of the credential`})}),`\n`,_jsx(ParamField,{body:`type`,type:`string`,required:true,id:`param-type`,children:_jsx(_components.p,{children:`Credential type. Always “public-key”`})}),`\n`,_jsxs(ParamField,{body:`response`,type:`object`,required:true,id:`param-response`,children:[_jsx(_components.p,{children:`WebAuthn signature data returned by the authenticator`}),_jsxs(Expandable,{title:`Response properties`,children:[_jsx(ParamField,{body:`authenticatorData`,type:`string`,required:true,id:`param-authenticator-data`,children:_jsx(_components.p,{children:`Authenticator data, base64-encoded`})}),_jsx(ParamField,{body:`clientDataJSON`,type:`string`,required:true,id:`param-client-data-json`,children:_jsx(_components.p,{children:`Client data related to the assertion, base64-encoded`})}),_jsx(ParamField,{body:`signature`,type:`string`,required:true,id:`param-signature`,children:_jsx(_components.p,{children:`Signature generated by the authenticator, base64-encoded`})}),_jsx(ParamField,{body:`userHandle`,type:`string`,id:`param-user-handle`,children:_jsx(_components.p,{children:`Identifier of the user associated with the credential, when applicable`})})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`optional`,children:`Optional`}),`\n`,_jsxs(ParamField,{body:`clientExtensionResults`,type:`object`,id:`param-client-extension-results`,children:[_jsx(_components.p,{children:`Client extensions returned by the authenticator`}),_jsx(Expandable,{title:`clientExtensionResults properties`,children:_jsx(ParamField,{body:`uvm`,type:`array`,id:`param-uvm`,children:_jsx(_components.p,{children:`User verification methods used during the assertion`})})})]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`request-body`,children:`Request Body`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`12`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light poimandres`,style:{backgroundColor:`#fff`,\"--shiki-dark-bg\":`#1b1e28`,color:`#24292e`,\"--shiki-dark\":`#a6accd`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`12`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:` \"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`id`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#5DE4C7`},children:`...`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:` \"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`rawId`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#5DE4C7`},children:`...`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:` \"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`type`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#5DE4C7`},children:`public-key`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:` \"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`response`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:` \"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#ADD7FF`},children:`authenticatorData`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#5DE4C7`},children:`...`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:` \"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#ADD7FF`},children:`clientDataJSON`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#5DE4C7`},children:`...`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:` \"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#ADD7FF`},children:`signature`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#5DE4C7`},children:`...`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:` \"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#ADD7FF`},children:`userHandle`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#5DE4C7`},children:`null`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:` \"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`clientExtensionResults`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: { `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#ADD7FF`},children:`uvm`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: [] }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`}`})}),`\n`]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(Heading,{level:`3`,id:`200`,children:`200`}),`\n`,_jsx(_components.p,{children:`Returns the result of the assertion processing by the instance. There are three possible variations:`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Success:`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light poimandres`,style:{backgroundColor:`#fff`,\"--shiki-dark-bg\":`#1b1e28`,color:`#24292e`,\"--shiki-dark\":`#a6accd`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`{ `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`success`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#5DE4C7`},children:`true`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:` }`})]}),`\n`]})})}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Failure — missing required fields:`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light poimandres`,style:{backgroundColor:`#fff`,\"--shiki-dark-bg\":`#1b1e28`,color:`#24292e`,\"--shiki-dark\":`#a6accd`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`{ `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`success`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#5DE4C7`},children:`false`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`, `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`reason`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#5DE4C7`},children:`assertion (rawId + response) is required`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:` }`})]}),`\n`]})})}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Failure — invalid field type:`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light poimandres`,style:{backgroundColor:`#fff`,\"--shiki-dark-bg\":`#1b1e28`,color:`#24292e`,\"--shiki-dark\":`#a6accd`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`{ `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`success`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#5DE4C7`},children:`false`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`, `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`reason`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#5DE4C7`},children:`assertion fields must be strings`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:` }`})]}),`\n`]})})}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Responses with `,_jsx(_components.code,{children:`success: false`}),` indicate that the assertion payload is malformed — the request body must be corrected and resent. These are not Z-API infrastructure errors.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`400`,children:`400`}),`\n`,_jsx(_components.p,{children:`Returned in the following cases:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Instance not found`}),` for the `,_jsx(_components.code,{children:`instanceId`}),` + `,_jsx(_components.code,{children:`token`}),` pair:`]}),`\n`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light poimandres`,style:{backgroundColor:`#fff`,\"--shiki-dark-bg\":`#1b1e28`,color:`#24292e`,\"--shiki-dark\":`#a6accd`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`{ `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`error`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#5DE4C7`},children:`Instance not found`}),_jsx(_components.span,{style:{color:`#032F62`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`, `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#E4F0FB`},children:`value`}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#A6ACCD`},children:`\"`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:`: `}),_jsx(_components.span,{style:{color:`#005CC5`,\"--shiki-dark\":`#5DE4C7`},children:`null`}),_jsx(_components.span,{style:{color:`#24292E`,\"--shiki-dark\":`#A6ACCD`},children:` }`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`405`,children:`405`}),`\n`,_jsx(_components.p,{children:`In this case, make sure you are sending the correct method specification, i.e., check whether you sent a POST or GET request as specified at the beginning of this topic.`}),`\n`,_jsx(Heading,{level:`3`,id:`415`,children:`415`}),`\n`,_jsx(_components.p,{children:`If you receive a 415 error, make sure to add the “Content-Type” of the object you are sending to the request headers, most commonly “application/json”.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":{"theme":{"light":"github-light","dark":"poimandres"}},"config":{},"pageMetadata":{"title":"Complete the Challenge","api":"POST /instances/{instanceId}/token/{token}/passkey-prologue","description":"Sends the result of the passkey resolution (WebAuthn assertion) to complete the instance connection","href":"/en/instance/passkey-prologue"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Overview","slug":"overview","depth":2,"children":[]},{"title":"Attributes","slug":"attributes","depth":2,"children":[{"title":"Required","slug":"required","depth":3,"children":[]},{"title":"Required","slug":"required-2","depth":3,"children":[]},{"title":"Optional","slug":"optional","depth":3,"children":[]}]},{"title":"Request Body","slug":"request-body","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[{"title":"200","slug":"200","depth":3,"children":[]},{"title":"400","slug":"400","depth":3,"children":[]},{"title":"405","slug":"405","depth":3,"children":[]},{"title":"415","slug":"415","depth":3,"children":[]}]}],"codeExamples":{},"endpoint":{"title":"Complete the Challenge","path":"/instances/{instanceId}/token/{token}/passkey-prologue","method":"post","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{"instanceId":{"schema":[{"type":"string","description":"Your instance ID. Available in the Z-API panel under Instances .","required":true}]},"token":{"schema":[{"type":"string","description":"Your Z-API instance token.","required":true}]}}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"id":[{"type":"string","description":"Identifier of the credential generated by the authenticator","required":true}],"rawId":[{"type":"string","description":"Raw identifier of the credential","required":true}],"type":[{"type":"string","description":"Credential type. Always “public-key”","required":true}],"response":[{"type":"object","properties":{"authenticatorData":[{"type":"string","description":"Authenticator data, base64-encoded","required":true}],"clientDataJSON":[{"type":"string","description":"Client data related to the assertion, base64-encoded","required":true}],"signature":[{"type":"string","description":"Signature generated by the authenticator, base64-encoded","required":true}],"userHandle":[{"type":"string","description":"Identifier of the user associated with the credential, when applicable"}]},"description":"WebAuthn signature data returned by the authenticator","required":true}],"clientExtensionResults":[{"type":"object","properties":{"uvm":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"User verification methods used during the assertion"}]},"description":"Client extensions returned by the authenticator"}]}}],"examples":{"example":{"value":{"id":"\u003cstring>","rawId":"\u003cstring>","type":"\u003cstring>","response":{"authenticatorData":"\u003cstring>","clientDataJSON":"\u003cstring>","signature":"\u003cstring>","userHandle":"\u003cstring>"},"clientExtensionResults":{"uvm":[{}]}}}}}}},"response":{},"deprecated":false}},"jsLinks":["/_mintlify/custom/z-api-8aa3bb40/a56ff8c5f47a412e/gptmaker.js"],"subdomain":"z-api-8aa3bb40","siteName":"Z-API Docs","title":"Complete the Challenge - Z-API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"pt-BR":{"href":"/instance/passkey-prologue","matchLevel":1},"en":{"href":"/en/instance/passkey-prologue","matchLevel":0}}},"lastModified":"2026-10-30T15:07:57.359Z","originalFileLocation":"en/instance/passkey-prologue.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Sends the result of the passkey resolution (WebAuthn assertion) to complete the instance connection\">\u003cmeta data-mint-head name=\"application-name\" content=\"Z-API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/z-api-8aa3bb40/ZpLU815Jzg8ouylX/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/z-api-8aa3bb40/ZpLU815Jzg8ouylX/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/z-api-8aa3bb40/ZpLU815Jzg8ouylX/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/z-api-8aa3bb40/ZpLU815Jzg8ouylX/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/z-api-8aa3bb40/ZpLU815Jzg8ouylX/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/z-api-8aa3bb40/ZpLU815Jzg8ouylX/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/z-api-8aa3bb40/ZpLU815Jzg8ouylX/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/z-api-8aa3bb40/ZpLU815Jzg8ouylX/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/z-api-8aa3bb40/ZpLU815Jzg8ouylX/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Complete the Challenge - Z-API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Sends the result of the passkey resolution (WebAuthn assertion) to complete the instance connection\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Z-API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.z-api.io/en/instance/passkey-prologue\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://z-api-8aa3bb40.mintlify.site/_mintlify/api/og/v2?division=Instance\u0026amp;title=Complete+the+Challenge\u0026amp;description=Sends+the+result+of+the+passkey+resolution+%28WebAuthn+assertion%29+to+complete+the+instance+connection\u0026amp;theme=1e9f2e2415957578442f4649\u0026amp;signature=3dc1c4bebf51f41d64c9f4a14d81dddfa5207f8072577b2b6f818779ed085753\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Complete the Challenge - Z-API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Sends the result of the passkey resolution (WebAuthn assertion) to complete the instance connection\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://z-api-8aa3bb40.mintlify.site/_mintlify/api/og/v2?division=Instance\u0026amp;title=Complete+the+Challenge\u0026amp;description=Sends+the+result+of+the+passkey+resolution+%28WebAuthn+assertion%29+to+complete+the+instance+connection\u0026amp;theme=1e9f2e2415957578442f4649\u0026amp;signature=3dc1c4bebf51f41d64c9f4a14d81dddfa5207f8072577b2b6f818779ed085753\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/z-api-8aa3bb40/ZpLU815Jzg8ouylX/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Z-API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#00B140\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.z-api.io/en/instance/passkey-prologue\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/en/instance/passkey-prologue.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://developer.z-api.io/en/instance/passkey-prologue\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"pt-BR\" href=\"https://developer.z-api.io/instance/passkey-prologue\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://developer.z-api.io/instance/passkey-prologue\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.z-api.io/#organization\",\"name\":\"Z-API Docs\",\"url\":\"https://developer.z-api.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://staging.z-api.io/logos/SVG/Ativo%2016.svg\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.z-api.io#website\",\"name\":\"Z-API Docs\",\"url\":\"https://developer.z-api.io\",\"publisher\":{\"@id\":\"https://developer.z-api.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.z-api.io/en/instance/passkey-prologue#webpage\",\"url\":\"https://developer.z-api.io/en/instance/passkey-prologue\",\"name\":\"Complete the Challenge\",\"description\":\"Sends the result of the passkey resolution (WebAuthn assertion) to complete the instance connection\",\"dateModified\":\"2026-10-30T15:07:57.359Z\",\"isPartOf\":{\"@id\":\"https://developer.z-api.io#website\"},\"breadcrumb\":{\"@id\":\"https://developer.z-api.io/en/instance/passkey-prologue#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.z-api.io/en/instance/passkey-prologue#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://developer.z-api.io/en/instance/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Instance\",\"item\":\"https://developer.z-api.io/en/instance/introduction\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Complete the Challenge\",\"item\":\"https://developer.z-api.io/en/instance/passkey-prologue\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.z-api.io/en/instance/passkey-prologue#apireference\",\"headline\":\"Complete the Challenge\",\"name\":\"Complete the Challenge\",\"description\":\"Sends the result of the passkey resolution (WebAuthn assertion) to complete the instance connection\",\"url\":\"https://developer.z-api.io/en/instance/passkey-prologue\",\"mainEntityOfPage\":{\"@id\":\"https://developer.z-api.io/en/instance/passkey-prologue#webpage\"},\"dateModified\":\"2026-10-30T15:07:57.359Z\",\"publisher\":{\"@id\":\"https://developer.z-api.io/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.z-api.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Z-API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Z-API Docs","nav":{"global":{"anchors":[{"anchor":"Blog","icon":"newspaper","href":"https://www.z-api.io/blog"},{"anchor":"YouTube","icon":"youtube","href":"https://www.youtube.com/@z_api"},{"anchor":"Postman","icon":"rocket","href":"https://www.postman.com/docs-z-api/z-api-s-public-workspace/collection/gwri249/z-api-collection"},{"anchor":"Comunidade","icon":"whatsapp","href":"https://chat.whatsapp.com/KmE3atZGmWJEspMZnBZKjV"}]},"languages":[{"language":"pt-BR","default":true,"navbar":{"links":[{"href":"https://api.whatsapp.com/send?phone=554431421722\u0026text=Ol%C3%A1,%20gostaria%20de%20falar%20com%20o%20suporte%20da%20Z-API","label":"Suporte"}],"primary":{"type":"button","label":"Painel","href":"https://app.z-api.io/"}},"pages":[{"title":"pt-BR","href":"/instance/passkey-prologue"}]},{"language":"en","navbar":{"links":[{"href":"https://api.whatsapp.com/send?phone=554431421722\u0026text=Hello,%20I%20would%20like%20to%20talk%20to%20Z-API%20support","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.z-api.io/"}},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/en/quickstart/introduction"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"Introduction","href":"/en/api-reference/introduction"}]},{"group":"API Reference","pages":[{"group":"Instance","pages":[{"title":"Introduction","href":"/en/instance/introduction"},{"title":"Auto-read messages","api":"PUT /instances/{instanceId}/token/{token}/update-auto-read-message","href":"/en/instance/update-auto-read-message"},{"title":"Auto-read status","api":"PUT /instances/{instanceId}/token/{token}/update-auto-read-status","href":"/en/instance/update-auto-read-status"},{"title":"Update profile picture","api":"PUT /instances/{instanceId}/token/{token}/profile-picture","href":"/en/instance/profile-picture"},{"title":"Update profile name","api":"PUT /instances/{instanceId}/token/{token}/profile-name","href":"/en/instance/profile-name"},{"title":"Update profile description","api":"PUT /instances/{instanceId}/token/{token}/profile-description","href":"/en/instance/profile-description"},{"title":"Reject calls","api":"PUT /instances/{instanceId}/token/{token}/update-call-reject-auto","href":"/en/instance/update-call-reject-auto"},{"title":"Call rejection message","api":"PUT /instances/{instanceId}/token/{token}/update-call-reject-message","href":"/en/instance/update-call-reject-message"},{"title":"Get QRCode","href":"/en/instance/qrcode"},{"title":"QRCode as bytes","api":"GET /instances/{instanceId}/token/{token}/qr-code","href":"/en/instance/qr-code"},{"title":"QRCode as image","api":"GET /instances/{instanceId}/token/{token}/qr-code/image","description":"Returns the QRCode in base64 image format","href":"/en/instance/qr-code-image"},{"title":"Complete the Challenge","api":"POST /instances/{instanceId}/token/{token}/passkey-prologue","href":"/en/instance/passkey-prologue"},{"title":"Reset the Challenge","api":"POST /instances/{instanceId}/token/{token}/reset-passkey-challenge","description":"Resets the current passkey challenge, allowing a new QR Code to be generated","href":"/en/instance/reset-passkey-challenge"},{"title":"Connect with phone","api":"GET /instances/{instanceId}/token/{token}/phone-code/{phone}","href":"/en/instance/phone-code"},{"title":"Generate extension token","api":"GET /instances/{instanceId}/token/{token}/extension-token","href":"/en/instance/extension-token"},{"title":"Restart instance","api":"GET /instances/{instanceId}/token/{token}/restart","href":"/en/instance/restart"},{"title":"Disconnect","api":"GET /instances/{instanceId}/token/{token}/disconnect","href":"/en/instance/disconnect"},{"title":"Instance status","api":"GET /instances/{instanceId}/token/{token}/status","href":"/en/instance/status"},{"title":"Device info","api":"GET /instances/{instanceId}/token/{token}/device","href":"/en/instance/device"},{"title":"Rename instance","api":"PUT /instances/{instanceId}/token/{token}/update-name","href":"/en/instance/rename-instance"},{"title":"Instance data","api":"GET /instances/{instanceId}/token/{token}/me","href":"/en/instance/me"},{"title":"Enable Announcement Group Protection","api":"PUT /instances/{instanceId}/token/{token}/update-announcement-guard","href":"/en/instance/update-announcement-guard"}]},{"group":"Mobile","pages":[{"title":"Introduction","href":"/en/mobile/introduction"},{"title":"Check availability","api":"POST /instances/{instanceId}/token/{token}/mobile/registration-available","href":"/en/mobile/registration-available"},{"title":"Request confirmation code","api":"POST /instances/{instanceId}/token/{token}/mobile/request-registration-code","href":"/en/mobile/request-code"},{"title":"Respond captcha","api":"POST /instances/{instanceId}/token/{token}/mobile/respond-captcha","href":"/en/mobile/captcha-confirm"},{"title":"Confirm code","api":"POST /instances/{instanceId}/token/{token}/mobile/confirm-registration-code","href":"/en/mobile/confirm-code"},{"title":"Confirm device transfer","api":"GET /instances/{instanceId}/token/{token}/mobile/device-transfer-confirmed","href":"/en/mobile/device-transfer-confirmed"},{"title":"Request unbanning","api":"POST /instances/{instanceId}/token/{token}/mobile/request-unbanning","href":"/en/mobile/request-unbanning"},{"title":"Confirm PIN code","api":"POST /instances/{instanceId}/token/{token}/mobile/confirm-pin-code","href":"/en/mobile/confirm-security-code"},{"title":"Recover PIN code","api":"POST /instances/{instanceId}/token/{token}/mobile/recovery-pin-code","href":"/en/mobile/forgot-security-code"},{"title":"Get account email","api":"GET /instances/{instanceId}/token/{token}/security/email","href":"/en/mobile/get-account-email"},{"title":"Register account email","api":"POST /instances/{instanceId}/token/{token}/security/email","href":"/en/mobile/set-account-email"},{"title":"Verify account email","api":"POST /instances/{instanceId}/token/{token}/security/verify-email","href":"/en/mobile/verify-account-email"},{"title":"Check PIN code","api":"GET /instances/{instanceId}/token/{token}/security/two-fa-code","href":"/en/mobile/get-has-security-code"},{"title":"Register PIN code","api":"POST /instances/{instanceId}/token/{token}/security/two-fa-code","href":"/en/mobile/set-security-code"},{"title":"Remove account email","api":"POST /instances/{instanceId}/token/{token}/security/email/remove","href":"/en/mobile/remove-account-email"},{"title":"Remove PIN code","api":"POST /instances/{instanceId}/token/{token}/security/two-fa-code/remove","href":"/en/mobile/remove-security-code"}]},{"group":"Messages","pages":[{"title":"Introduction","href":"/en/message/introduction"},{"title":"Send plain text","api":"POST /instances/{instanceId}/token/{token}/send-text","href":"/en/message/send-text"},{"title":"Forward message","api":"POST /instances/{instanceId}/token/{token}/forward-message","href":"/en/message/forward-message"},{"title":"Send reaction","api":"POST /instances/{instanceId}/token/{token}/send-reaction","href":"/en/message/send-message-reaction"},{"title":"Remove reaction","api":"POST /instances/{instanceId}/token/{token}/send-remove-reaction","href":"/en/message/send-remove-reaction"},{"title":"Send image","api":"POST /instances/{instanceId}/token/{token}/send-image","href":"/en/message/send-message-image"},{"title":"Send sticker","api":"POST /instances/{instanceId}/token/{token}/send-sticker","href":"/en/message/send-message-sticker"},{"title":"Send GIF","api":"POST /instances/{instanceId}/token/{token}/send-gif","href":"/en/message/send-message-gif"},{"title":"Send audio","api":"POST /instances/{instanceId}/token/{token}/send-audio","href":"/en/message/send-message-audio"},{"title":"Send video","api":"POST /instances/{instanceId}/token/{token}/send-video","href":"/en/message/send-message-video"},{"title":"Send PTV","api":"POST /instances/{instanceId}/token/{token}/send-ptv","href":"/en/message/send-message-ptv"},{"title":"Send document","api":"POST /instances/{instanceId}/token/{token}/send-document/{extension}","href":"/en/message/send-message-document"},{"title":"Send link","api":"POST /instances/{instanceId}/token/{token}/send-link","href":"/en/message/send-message-link"},{"title":"Send location","api":"POST /instances/{instanceId}/token/{token}/send-location","href":"/en/message/send-message-location"},{"title":"Send product","api":"POST /instances/{instanceId}/token/{token}/send-product","href":"/en/message/send-message-product"},{"title":"Send catalog","api":"POST /instances/{instanceId}/token/{token}/send-catalog","href":"/en/message/send-message-catalog"},{"title":"Send contact","api":"POST /instances/{instanceId}/token/{token}/send-contact","href":"/en/message/send-message-contact"},{"title":"Send multiple contacts","api":"POST /instances/{instanceId}/token/{token}/send-contacts","href":"/en/message/send-message-multiple-contacts"},{"title":"Send action buttons","api":"POST /instances/{instanceId}/token/{token}/send-button-actions","href":"/en/message/send-button-actions"},{"title":"Send button list","api":"POST /instances/{instanceId}/token/{token}/send-button-list","href":"/en/message/send-button-list"},{"title":"Send buttons with image","api":"POST /instances/{instanceId}/token/{token}/send-button-list","href":"/en/message/send-button-list-image"},{"title":"Send buttons with video","api":"POST /instances/{instanceId}/token/{token}/send-button-list","href":"/en/message/send-button-list-video"},{"title":"Send option list","api":"POST /instances/{instanceId}/token/{token}/send-option-list","href":"/en/message/send-option-list"},{"title":"Send OTP button","api":"POST /instances/{instanceId}/token/{token}/send-button-otp","href":"/en/message/send-button-otp"},{"title":"Send PIX button","api":"POST /instances/{instanceId}/token/{token}/send-button-pix","href":"/en/message/send-button-pix"},{"title":"Send carousel","api":"POST /instances/{instanceId}/token/{token}/send-carousel","href":"/en/message/send-carousel"},{"title":"Delete messages","api":"DELETE /instances/{instanceId}/token/{token}/messages","href":"/en/message/delete-message"},{"title":"Read messages","api":"POST /instances/{instanceId}/token/{token}/read-message","href":"/en/message/read-message"},{"title":"Reply message","api":"POST /instances/{instanceId}/token/{token}/send-text","href":"/en/message/reply-message"},{"title":"Send poll","api":"POST /instances/{instanceId}/token/{token}/send-poll","href":"/en/message/send-poll"},{"title":"Send poll vote","api":"POST /instances/{instanceId}/token/{token}/send-poll-vote","href":"/en/message/send-poll-vote"},{"title":"Send order","api":"POST /instances/{instanceId}/token/{token}/send-order","href":"/en/message/send-message-order"},{"title":"Update order status","api":"POST /instances/{instanceId}/token/{token}/order-status-update","href":"/en/message/send-order-status-update"},{"title":"Update order payment","api":"POST /instances/{instanceId}/token/{token}/order-payment-update","href":"/en/message/send-order-payment-update"},{"title":"Pin / Unpin messages","api":"POST /instances/{instanceId}/token/{token}/pin-message","href":"/en/message/send-pin-message"},{"title":"Send channel admin invite","api":"POST /instances/{instanceId}/token/{token}/send-newsletter-admin-invite","href":"/en/message/send-newsletter-admin-invite"},{"title":"Send event","api":"POST /instances/{instanceId}/token/{token}/send-event","href":"/en/message/send-event"},{"title":"Edit event","api":"POST /instances/{instanceId}/token/{token}/send-edit-event","href":"/en/message/send-edit-event"},{"title":"Respond to event","api":"POST /instances/{instanceId}/token/{token}/send-event-response","href":"/en/message/send-event-response"},{"title":"Reply to button list","api":"POST /instances/{instanceId}/token/{token}/reply-button","href":"/en/message/reply-button"},{"title":"Reply to action button","api":"POST /instances/{instanceId}/token/{token}/reply-template-button","href":"/en/message/reply-template-button"},{"title":"Reply to option list","api":"POST /instances/{instanceId}/token/{token}/reply-option-list","href":"/en/message/reply-option-list"}]},{"group":"Privacy","pages":[{"title":"Introduction","href":"/en/privacy/introduction"},{"title":"List disallowed contacts","api":"GET /instances/{instanceId}/token/{token}/privacy/disallowed-contacts","href":"/en/privacy/get-disallowed-contacts"},{"title":"Last seen","api":"POST /instances/{instanceId}/token/{token}/privacy/last-seen","href":"/en/privacy/set-last-seen"},{"title":"Profile photo","api":"POST /instances/{instanceId}/token/{token}/privacy/photo-visualization","href":"/en/privacy/set-photo-visualization"},{"title":"Profile description","api":"POST /instances/{instanceId}/token/{token}/privacy/description","href":"/en/privacy/set-privacy-description"},{"title":"Group add permission","api":"POST /instances/{instanceId}/token/{token}/privacy/group-add","href":"/en/privacy/set-group-add-permission"},{"title":"Online visibility","api":"POST /instances/{instanceId}/token/{token}/privacy/online","href":"/en/privacy/set-privacy-online"},{"title":"Read receipts","api":"POST /instances/{instanceId}/token/{token}/privacy/read-receipts","href":"/en/privacy/set-read-receipts"},{"title":"Temporary messages","api":"POST /instances/{instanceId}/token/{token}/privacy/messages-duration","href":"/en/privacy/set-messages-duration"}]},{"group":"Contacts","pages":[{"title":"Introduction","href":"/en/contacts/introduction"},{"title":"Get contacts","api":"GET /instances/{instanceId}/token/{token}/contacts","href":"/en/contacts/get-contacts"},{"title":"Add contacts","api":"POST /instances/{instanceId}/token/{token}/contacts/add","href":"/en/contacts/add-contacts"},{"title":"Remove contacts","api":"DELETE /instances/{instanceId}/token/{token}/contacts/remove","href":"/en/contacts/remove-contacts"},{"title":"Contact metadata","api":"GET /instances/{instanceId}/token/{token}/contacts/{phone}","href":"/en/contacts/get-metadata-contact"},{"title":"Get contact picture","api":"GET /instances/{instanceId}/token/{token}/profile-picture","href":"/en/contacts/get-profile-picture"},{"title":"Number with application account?","api":"GET /instances/{instanceId}/token/{token}/phone-exists/{phone}","href":"/en/contacts/get-iswhatsapp"},{"title":"Batch verification","api":"POST /instances/{instanceId}/token/{token}/phone-exists-batch","href":"/en/contacts/get-iswhatsapp-batch"},{"title":"Block / Unblock contact","api":"POST /instances/{instanceId}/token/{token}/contacts/modify-blocked","href":"/en/contacts/block-contact"},{"title":"Report contact","api":"POST /instances/{instanceId}/token/{token}/contacts/{phone}/report","href":"/en/contacts/report-contact"}]},{"group":"Chats","pages":[{"title":"Introduction","href":"/en/chats/introduction"},{"title":"Get chats","api":"GET /instances/{instanceId}/token/{token}/chats","href":"/en/chats/get-chats"},{"title":"Get chat metadata","api":"GET /instances/{instanceId}/token/{token}/chats/{phone}","href":"/en/chats/get-metadata-chat"},{"title":"Read chats","api":"POST /instances/{instanceId}/token/{token}/modify-chat","href":"/en/chats/read-chat"},{"title":"Archive chats","api":"POST /instances/{instanceId}/token/{token}/modify-chat","href":"/en/chats/archive-chat"},{"title":"Pin chats","api":"POST /instances/{instanceId}/token/{token}/modify-chat","href":"/en/chats/pin-chat"},{"title":"Mute chats","api":"POST /instances/{instanceId}/token/{token}/modify-chat","href":"/en/chats/mute-chat"},{"title":"Clear chat","api":"POST /instances/{instanceId}/token/{token}/modify-chat","href":"/en/chats/clear-chat"},{"title":"Delete chats","api":"POST /instances/{instanceId}/token/{token}/modify-chat","href":"/en/chats/delete-chat"},{"title":"Chat expiration","api":"POST /instances/{instanceId}/token/{token}/send-chat-expiration","href":"/en/chats/send-chat-expiration"}]},{"group":"Calls","pages":[{"title":"Introduction","href":"/en/calls/introduction"},{"title":"Make call","api":"POST /instances/{instanceId}/token/{token}/send-call","href":"/en/calls/send-call"},{"title":"Generate call token","api":"GET /instances/{instanceId}/token/{token}/call-token","href":"/en/calls/call-token"},{"title":"Generate SIP token","api":"POST /instances/{instanceId}/token/{token}/sip-token","href":"/en/calls/sip-token"},{"title":"Get SIP information","api":"GET /instances/{instanceId}/token/{token}/sip-info","href":"/en/calls/sip-info"}]},{"group":"Groups","pages":[{"title":"Introduction","href":"/en/group/introduction"},{"title":"Search groups","api":"GET /instances/{instanceId}/token/{token}/groups","href":"/en/group/get-groups"},{"title":"Creating groups","api":"POST /instances/{instanceId}/token/{token}/create-group","href":"/en/group/create-group"},{"title":"Update group name","api":"POST /instances/{instanceId}/token/{token}/update-group-name","href":"/en/group/update-group-name"},{"title":"Update group image","api":"POST /instances/{instanceId}/token/{token}/update-group-photo","href":"/en/group/update-group-photo"},{"title":"Add participants","api":"POST /instances/{instanceId}/token/{token}/add-participant","href":"/en/group/add-participant"},{"title":"Remove participants","api":"POST /instances/{instanceId}/token/{token}/remove-participant","href":"/en/group/remove-participant"},{"title":"Approve participants","api":"POST /instances/{instanceId}/token/{token}/approve-participant","href":"/en/group/approve-participant"},{"title":"Reject participants","api":"POST /instances/{instanceId}/token/{token}/reject-participant","href":"/en/group/reject-participant"},{"title":"Mention member","api":"POST /instances/{instanceId}/token/{token}/send-text","href":"/en/group/mention-participant"},{"title":"Mention group","api":"POST /instances/{instanceId}/token/{token}/send-text","href":"/en/group/mention-group"},{"title":"Mention everyone","api":"POST /instances/{instanceId}/token/{token}/send-text","href":"/en/group/mention-all"},{"title":"Promote group admin","api":"POST /instances/{instanceId}/token/{token}/add-admin","href":"/en/group/add-admin"},{"title":"Remove group admin","api":"POST /instances/{instanceId}/token/{token}/remove-admin","href":"/en/group/remove-admin"},{"title":"Leave group","api":"POST /instances/{instanceId}/token/{token}/leave-group","href":"/en/group/leave-group"},{"title":"Group metadata","api":"GET /instances/{instanceId}/token/{token}/group-metadata/{phone}","href":"/en/group/metadata-group"},{"title":"Group metadata (light)","api":"GET /instances/{instanceId}/token/{token}/light-group-metadata/{phone}","href":"/en/group/light-group-metadata"},{"title":"Group metadata by invite","api":"GET /instances/{instanceId}/token/{token}/group-invitation-metadata","href":"/en/group/group-invitation-metadata"},{"title":"Group settings","api":"POST /instances/{instanceId}/token/{token}/update-group-settings","href":"/en/group/update-group-settings"},{"title":"Update description","api":"POST /instances/{instanceId}/token/{token}/update-group-description","href":"/en/group/update-group-description"},{"title":"Reset invitation link","api":"POST /instances/{instanceId}/token/{token}/redefine-invitation-link/{groupId}","href":"/en/group/redefine-invitation-link"},{"title":"Get invitation link","api":"GET /instances/{instanceId}/token/{token}/group-invitation-link/{groupId}","href":"/en/group/get-invitation-link"},{"title":"Accept group invite","api":"GET /instances/{instanceId}/token/{token}/accept-invite-group","href":"/en/group/accept-group-invite"}]},{"group":"Communities","pages":[{"title":"Introduction","href":"/en/communities/introduction"},{"title":"Create community","api":"POST /instances/{instanceId}/token/{token}/communities","href":"/en/communities/create-community"},{"title":"List communities","api":"GET /instances/{instanceId}/token/{token}/communities","href":"/en/communities/list-communities"},{"title":"Link groups","api":"POST /instances/{instanceId}/token/{token}/communities/link","href":"/en/communities/link-groups"},{"title":"Unlink groups","api":"POST /instances/{instanceId}/token/{token}/communities/unlink","href":"/en/communities/unlink-groups"},{"title":"Community metadata","api":"GET /instances/{instanceId}/token/{token}/communities-metadata/{communityId}","href":"/en/communities/community-metadata"},{"title":"Redefine invitation link","api":"POST /instances/{instanceId}/token/{token}/redefine-invitation-link/{communityId}","href":"/en/communities/redefine-invitation-link"},{"title":"Add participants","api":"POST /instances/{instanceId}/token/{token}/add-participant","href":"/en/communities/add-community-participant"},{"title":"Remove participants","api":"POST /instances/{instanceId}/token/{token}/remove-participant","href":"/en/communities/remove-community-participant"},{"title":"Promote community admin","api":"POST /instances/{instanceId}/token/{token}/add-admin","href":"/en/communities/add-community-admin"},{"title":"Remove community admin","api":"POST /instances/{instanceId}/token/{token}/remove-admin","href":"/en/communities/remove-community-admin"},{"title":"Community settings","api":"POST /instances/{instanceId}/token/{token}/communities/settings","href":"/en/communities/community-settings"},{"title":"Deactivate community","api":"DELETE /instances/{instanceId}/token/{token}/communities/{communityId}","href":"/en/communities/deactivate-community"},{"title":"Update community description","api":"POST /instances/{instanceId}/token/{token}/update-community-description","href":"/en/communities/update-community-description"}]},{"group":"Meta AI","pages":[{"title":"Introduction","href":"/en/metaai/introduction"},{"title":"Chat with Meta AI","api":"POST /instances/{instanceId}/token/{token}/send-text","href":"/en/metaai/conversation"}]},{"group":"Newsletter","pages":[{"title":"Introduction","href":"/en/newsletter/introduction"},{"title":"Creating channels","api":"POST /instances/{instanceId}/token/{token}/create-newsletter","href":"/en/newsletter/create-newsletter"},{"title":"Update channel image","api":"POST /instances/{instanceId}/token/{token}/update-newsletter-picture","href":"/en/newsletter/update-newsletter-picture"},{"title":"Update channel name","api":"POST /instances/{instanceId}/token/{token}/update-newsletter-name","href":"/en/newsletter/update-newsletter-name"},{"title":"Update channel description","api":"POST /instances/{instanceId}/token/{token}/update-newsletter-description","href":"/en/newsletter/update-newsletter-description"},{"title":"Follow channel","api":"PUT /instances/{instanceId}/token/{token}/follow-newsletter","href":"/en/newsletter/follow-newsletter"},{"title":"Unfollow channel","api":"PUT /instances/{instanceId}/token/{token}/unfollow-newsletter","href":"/en/newsletter/unfollow-newsletter"},{"title":"Mute channel","api":"PUT /instances/{instanceId}/token/{token}/mute-newsletter","href":"/en/newsletter/mute-newsletter"},{"title":"Unmute channel","api":"PUT /instances/{instanceId}/token/{token}/unmute-newsletter","href":"/en/newsletter/unmute-newsletter"},{"title":"Delete channel","api":"DELETE /instances/{instanceId}/token/{token}/delete-newsletter","href":"/en/newsletter/delete-newsletter"},{"title":"Channel metadata","api":"GET /instances/{instanceId}/token/{token}/newsletter/metadata/{newsletterId}","href":"/en/newsletter/newsletter-metadata"},{"title":"List channel subscribers","api":"GET /instances/{instanceId}/token/{token}/newsletter/subscribers/{newsletterId}","href":"/en/newsletter/newsletter-subscribers"},{"title":"List channels","api":"GET /instances/{instanceId}/token/{token}/newsletter","href":"/en/newsletter/newsletter-list"},{"title":"Search channels","api":"POST /instances/{instanceId}/token/{token}/search-newsletter","href":"/en/newsletter/search-newsletter"},{"title":"Channel settings","api":"POST /instances/{instanceId}/token/{token}/newsletter/settings/{newsletterId}","href":"/en/newsletter/update-newsletter-config"},{"title":"Accept admin invite","api":"POST /instances/{instanceId}/token/{token}/newsletter/accept-admin-invite/{newsletterId}","href":"/en/newsletter/accept-newsletter-admin-invite"},{"title":"Remove channel admin","api":"POST /instances/{instanceId}/token/{token}/newsletter/remove-admin/{newsletterId}","href":"/en/newsletter/newsletter-remove-admin"},{"title":"Revoke admin invite","api":"POST /instances/{instanceId}/token/{token}/newsletter/revoke-admin-invite/{newsletterId}","href":"/en/newsletter/newsletter-revoke-admin-invite"},{"title":"Transfer channel ownership","api":"POST /instances/{instanceId}/token/{token}/newsletter/transfer-ownership/{newsletterId}","href":"/en/newsletter/transfer-newsletter-ownership"}]},{"group":"Transmission List","pages":[{"title":"Introduction","href":"/en/broadcast/introduction"},{"title":"Create broadcast list","api":"POST /instances/{instanceId}/token/{token}/broadcast","href":"/en/broadcast/create-broadcast"},{"title":"Update broadcast list","api":"PUT /instances/{instanceId}/token/{token}/broadcast/{broadcastId}","href":"/en/broadcast/update-broadcast"},{"title":"List broadcast lists","api":"GET /instances/{instanceId}/token/{token}/broadcast","href":"/en/broadcast/list-broadcast"},{"title":"Delete broadcast list","api":"DELETE /instances/{instanceId}/token/{token}/broadcast/{broadcastId}","href":"/en/broadcast/delete-broadcast"}]},{"group":"Status","pages":[{"title":"Introduction","href":"/en/status/introduction"},{"title":"Send text status","api":"POST /instances/{instanceId}/token/{token}/send-text-status","href":"/en/status/send-text-status"},{"title":"Send image status","api":"POST /instances/{instanceId}/token/{token}/send-image-status","href":"/en/status/send-image-status"},{"title":"Send video status","api":"POST /instances/{instanceId}/token/{token}/send-video-status","href":"/en/status/send-video-status"},{"title":"Reply to status with text","api":"POST /instances/{instanceId}/token/{token}/reply-status-text","href":"/en/status/reply-status-text"},{"title":"Reply to status with GIF","api":"POST /instances/{instanceId}/token/{token}/reply-status-gif","href":"/en/status/reply-status-gif"},{"title":"Reply to status with sticker","api":"POST /instances/{instanceId}/token/{token}/reply-status-sticker","href":"/en/status/reply-status-sticker"}]},{"group":"Message Queue","pages":[{"title":"Introduction","href":"/en/queue/introduction"},{"title":"Queue (Deprecated)","api":"GET /instances/{instanceId}/token/{token}/queue","href":"/en/queue/get-queue"},{"title":"Queue","api":"POST /instances/{instanceId}/token/{token}/queue","href":"/en/queue/post-queue"},{"title":"Delete queue","api":"DELETE /instances/{instanceId}/token/{token}/queue","href":"/en/queue/delete-queue"},{"title":"Delete queue message","api":"DELETE /instances/{instanceId}/token/{token}/queue/{zaapId}","href":"/en/queue/delete-queue-id"},{"title":"Update queue settings","api":"PUT /instances/{instanceId}/token/{token}/update-queue-settings","href":"/en/queue/update-queue-settings"}]},{"group":"Business application","pages":[{"title":"Introduction","href":"/en/business/introduction"},{"title":"Create/edit product","api":"POST /instances/{instanceId}/token/{token}/products","href":"/en/business/edit-product"},{"title":"Get products","api":"GET /instances/{instanceId}/token/{token}/catalogs","href":"/en/business/get-products"},{"title":"Get products (phone)","api":"GET /instances/{instanceId}/token/{token}/catalogs/{phone}","href":"/en/business/get-products-phone"},{"title":"Get products V2","api":"POST /instances/{instanceId}/token/{token}/catalogs","href":"/en/business/get-products-v2"},{"title":"Get products V2 (phone)","api":"POST /instances/{instanceId}/token/{token}/catalogs/{phone}","href":"/en/business/get-products-phone-v2"},{"title":"Get product (ID)","api":"GET /instances/{instanceId}/token/{token}/products/{productId}","href":"/en/business/get-product-id"},{"title":"Delete product","api":"DELETE /instances/{instanceId}/token/{token}/products/{productId}","href":"/en/business/delete-product"},{"title":"Get tags","api":"GET /instances/{instanceId}/token/{token}/tags","href":"/en/business/tags"},{"title":"Tag colors","api":"GET /instances/{instanceId}/token/{token}/business/tags/colors","href":"/en/business/tags-colors"},{"title":"Create new tag","api":"POST /instances/{instanceId}/token/{token}/business/create-tag","href":"/en/business/create-tag"},{"title":"Edit tag","api":"POST /instances/{instanceId}/token/{token}/business/edit-tag/{tagId}","href":"/en/business/edit-tag"},{"title":"Delete tag","api":"DELETE /instances/{instanceId}/token/{token}/business/tag/{tagId}","href":"/en/business/delete-tag"},{"title":"Assign tags to a chat","api":"PUT /instances/{instanceId}/token/{token}/chats/{phone}/tags/{tag}/add","href":"/en/business/tags-add"},{"title":"Remove tags from a chat","api":"PUT /instances/{instanceId}/token/{token}/chats/{phone}/tags/{tag}/remove","href":"/en/business/tags-remove"},{"title":"Assign notes to a chat","api":"POST /instances/{instanceId}/token/{token}/chats/{phone}/notes","href":"/en/business/chats-notes"},{"title":"Catalog configuration","api":"POST /instances/{instanceId}/token/{token}/catalogs/config","href":"/en/business/save-catalog-config"},{"title":"Create collection","api":"POST /instances/{instanceId}/token/{token}/catalogs/collection","href":"/en/business/create-collection"},{"title":"List collections","api":"GET /instances/{instanceId}/token/{token}/catalogs/collection","href":"/en/business/list-collections"},{"title":"Delete collection","api":"DELETE /instances/{instanceId}/token/{token}/catalogs/collection/{collectionId}","href":"/en/business/delete-collection"},{"title":"Edit collection","api":"POST /instances/{instanceId}/token/{token}/catalogs/collection-edit/{collectionId}","href":"/en/business/edit-collection"},{"title":"List collection products","api":"GET /instances/{instanceId}/token/{token}/catalogs/collection-products/{phone}","href":"/en/business/list-collection-products"},{"title":"Add products to collection","api":"POST /instances/{instanceId}/token/{token}/catalogs/collection/add-product","href":"/en/business/add-product-to-collection"},{"title":"Remove products from collection","api":"POST /instances/{instanceId}/token/{token}/catalogs/collection/remove-product","href":"/en/business/remove-product-from-collection"},{"title":"Update company description","api":"POST /instances/{instanceId}/token/{token}/business/company-description","href":"/en/business/company-description"},{"title":"Update company email","api":"POST /instances/{instanceId}/token/{token}/business/company-email","href":"/en/business/company-email"},{"title":"Update company address","api":"POST /instances/{instanceId}/token/{token}/business/company-address","href":"/en/business/company-address"},{"title":"Update company websites","api":"POST /instances/{instanceId}/token/{token}/business/company-websites","href":"/en/business/company-websites"},{"title":"Update business hours","api":"POST /instances/{instanceId}/token/{token}/business/hours","href":"/en/business/business-hours"},{"title":"List categories","api":"GET /instances/{instanceId}/token/{token}/business/available-categories","href":"/en/business/available-categories"},{"title":"Assign categories","api":"POST /instances/{instanceId}/token/{token}/business/categories","href":"/en/business/company-categories"},{"title":"Business account data","api":"GET /instances/{instanceId}/token/{token}/business/profile","href":"/en/business/profile"}]},{"group":"Webhooks","pages":[{"title":"Introduction","href":"/en/webhooks/introduction"},{"title":"On send","api":"PUT /instances/{instanceId}/token/{token}/update-webhook-delivery","href":"/en/webhooks/on-message-send"},{"title":"On Send callback examples","href":"/en/webhooks/on-message-send-examples"},{"title":"On Message Received","api":"PUT /instances/{instanceId}/token/{token}/update-webhook-received","href":"/en/webhooks/on-message-received"},{"title":"On Message Received - Sent by Me","api":"PUT /instances/{instanceId}/token/{token}/update-webhook-received-delivery","href":"/en/webhooks/on-message-received-and-delivery"},{"title":"On receive callback examples","href":"/en/webhooks/on-message-received-examples"},{"title":"On disconnect","api":"PUT /instances/{instanceId}/token/{token}/update-webhook-disconnected","href":"/en/webhooks/on-whatsapp-disconnected"},{"title":"Message status","api":"PUT /instances/{instanceId}/token/{token}/update-webhook-message-status","href":"/en/webhooks/on-whatsapp-message-status-changes"},{"title":"Chat status","api":"PUT /instances/{instanceId}/token/{token}/update-webhook-chat-presence","href":"/en/webhooks/on-chat-presence"},{"title":"Chat status callback examples","href":"/en/webhooks/on-chat-presence-examples"},{"title":"On connect","api":"PUT /instances/{instanceId}/token/{token}/update-webhook-connected","href":"/en/webhooks/on-webhook-connected"},{"title":"Update all webhooks","api":"PUT /instances/{instanceId}/token/{token}/update-every-webhooks","href":"/en/webhooks/update-every-webhooks"},{"title":"Update notify sent by me","api":"PUT /instances/{instanceId}/token/{token}/update-notify-sent-by-me","href":"/en/webhooks/update-notify-sent-by-me"},{"title":"Webhook Filters","api":"PUT /instances/{instanceId}/token/{token}/update-filters","href":"/en/webhooks/update-filters"}]},{"group":"Partners","pages":[{"title":"Introduction","href":"/en/partner/introduction"},{"title":"Creating an instance","api":"POST /instances/integrator/on-demand","href":"/en/partner/create-instance"},{"title":"Subscribing an instance","api":"POST /instances/{instanceId}/token/{token}/integrator/on-demand/subscription","href":"/en/partner/sign-instance"},{"title":"Cancelling an instance","api":"POST /instances/{instanceId}/token/{token}/integrator/on-demand/cancel","href":"/en/partner/unsubscribe-instance"},{"title":"Deleting an instance","api":"DELETE /instances/{instanceId}/token/{token}/integrator/on-demand/delete","href":"/en/partner/delete-instance"},{"title":"Deleting instances in bulk","api":"POST /instances/integrator/on-demand/batch-delete","href":"/en/partner/delete-instances"},{"title":"Listing instances","api":"GET /instances","href":"/en/partner/list-instances"},{"title":"Updating the subscription","api":"PUT /instances/{instanceId}/token/{token}/integrator/on-demand/subscription/update","href":"/en/partner/update-instance"},{"title":"Configure Proxy","api":"PUT /instances/{instanceId}/token/{token}/integrator/configure-proxy","href":"/en/partner/configure-proxy"},{"title":"Proxy Failure Webhook","api":"PUT /instances/{instanceId}/token/{token}/update-proxy-webhook","href":"/en/partner/update-proxy-webhook"},{"title":"Extension connection for partners","href":"/en/partner/extension-token"},{"title":"Generate the SDK token","api":"GET /instances/{instanceId}/token/{token}/sdk-connector-token","href":"/en/partner/sdk-connector-token"}]},{"group":"Integrators","pages":[{"title":"Find My Pack","href":"/en/integrators/introduction"}]}]}]}]}]},"basePath":"","title":"Complete the Challenge - Z-API Docs","buildId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","deploymentId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-Myd8dsju.js","utils-C2HkQgW0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-8rSppmTv.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B6MjiCFm.js","snippetPresets-DwrSAONL.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-1-a5UQKQ.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C541m7wZ.js","shallow-CWELCZ77.js","getApiPlaygroundDisplay-CTo5Zn03.js","CodeSnippet-D--dzvnl.js","CodeSnippets-DM3cXEDh.js","Page-CxAy5y67.js","getPastedJson-C-VECgcL.js","icon-BPq2-Mg3.js","MethodPill-D9J5cUHd.js","DuplicateIcon-BqHaxUnD.js","createIcon-CIbcZHp9.js","DynamicMarkdown-BKiHAm_d.js","SectionHeading-DstQXt3H.js","axios-vUo_bRtp.js"]}